<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3106
Name: Accident Section (01)
Description: In diesem Abschnitt wird angegeben, ob es sich um einen Unfall handelt. Wenn es sich um einen Unfall handelt, dann ist der Value im Entry auf true zu setzen. Falls nicht, so kann dieser Abschnitt auch entfallen. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3106-2017-09-24T105538">
   <title>Accident Section (01)</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3106
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]
Item: (F01AccidentSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3106
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]
Item: (F01AccidentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]"
         id="d41e866-false-d7132e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(F01AccidentSection): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(F01AccidentSection): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3106']) &gt;= 1">(F01AccidentSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3106'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3106']) &lt;= 1">(F01AccidentSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3106'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="count(hl7:code[(@code = 'ACCIDENT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(F01AccidentSection): Element hl7:code[(@code = 'ACCIDENT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="count(hl7:title) &lt;= 1">(F01AccidentSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]) &gt;= 1">(F01AccidentSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]) &lt;= 1">(F01AccidentSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3106
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]/hl7:templateId[@root = '1.2.276.0.76.10.3106']
Item: (F01AccidentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]/hl7:templateId[@root = '1.2.276.0.76.10.3106']"
         id="d41e872-false-d7181e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="string(@root) = ('1.2.276.0.76.10.3106')">(F01AccidentSection): Der Wert von root MUSS '1.2.276.0.76.10.3106' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3106
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]/hl7:code[(@code = 'ACCIDENT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (F01AccidentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]/hl7:code[(@code = 'ACCIDENT' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d41e877-false-d7196e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="@nullFlavor or (@code='ACCIDENT' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(F01AccidentSection): Der Elementinhalt MUSS einer von 'code 'ACCIDENT' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3106
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]/hl7:title
Item: (F01AccidentSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]/hl7:title"
         id="d41e882-false-d7212e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(F01AccidentSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="text()='Unfall'">(F01AccidentSection): Der Elementinhalt von 'hl7:title' MUSS ''Unfall'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3106
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]
Item: (F01AccidentSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3106']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4267']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="@typeCode">(F01AccidentSection): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(F01AccidentSection): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.3106-2017-09-24T105538.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(F01AccidentSection): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@contextConductionInd"/>'</assert>
   </rule>
</pattern>
