<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4270
Name: Arbeitsunfähigkeitsbescheinigung Observation
Description: Zeitraum der Arbeitsunfähigkeit (Dieses Template wurde an "Inability To Work Observation" (CDA-CH2) angepasst. Dadurch wurden die Datumsangaben verschoben.)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4270-2017-05-24T000000">
   <title>Arbeitsunfähigkeitsbescheinigung Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]
Item: (TemporaryDisablementObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]
Item: (TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]"
         id="d41e1694-false-d9415e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(TemporaryDisablementObservation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(TemporaryDisablementObservation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4270']) &gt;= 1">(TemporaryDisablementObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4270'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4270']) &lt;= 1">(TemporaryDisablementObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4270'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:code[(@code = 'X-IATWRK' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(TemporaryDisablementObservation): Element hl7:code[(@code = 'X-IATWRK' and @codeSystem = '2.16.840.1.113883.6.1')] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:code[(@code = 'X-IATWRK' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(TemporaryDisablementObservation): Element hl7:code[(@code = 'X-IATWRK' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(TemporaryDisablementObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(TemporaryDisablementObservation): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(TemporaryDisablementObservation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(TemporaryDisablementObservation): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(TemporaryDisablementObservation): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]) &lt;= 1">(TemporaryDisablementObservation): Element hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:templateId[@root = '1.2.276.0.76.10.4270']
Item: (TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:templateId[@root = '1.2.276.0.76.10.4270']"
         id="d41e1700-false-d9488e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.4270')">(TemporaryDisablementObservation): Der Wert von root MUSS '1.2.276.0.76.10.4270' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:code[(@code = 'X-IATWRK' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:code[(@code = 'X-IATWRK' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e1705-false-d9503e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="string(@displayName) = ('Inability to work') or not(@displayName)">(TemporaryDisablementObservation): Der Wert von displayName MUSS 'Inability to work' sein. Gefunden: "<value-of select="@displayName"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(TemporaryDisablementObservation): Attribute @displayName MUSS vom Datentyp 'st' sein  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(TemporaryDisablementObservation): Der Wert von codeSystemName MUSS 'LOINC' sein. Gefunden: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(TemporaryDisablementObservation): Attribute @codeSystemName MUSS vom Datentyp 'st' sein  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(TemporaryDisablementObservation): Der Wert von codeSystem MUSS '2.16.840.1.113883.6.1' sein. Gefunden: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="string(@code) = ('X-IATWRK')">(TemporaryDisablementObservation): Der Wert von code MUSS 'X-IATWRK' sein. Gefunden: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:qualifier[hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]) &lt;= 1">(TemporaryDisablementObservation): Element hl7:qualifier[hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:code[(@code = 'X-IATWRK' and @codeSystem = '2.16.840.1.113883.6.1')]/hl7:qualifier[hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]
Item: (TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:code[(@code = 'X-IATWRK' and @codeSystem = '2.16.840.1.113883.6.1')]/hl7:qualifier[hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]"
         id="d41e1715-false-d9542e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]) &gt;= 1">(TemporaryDisablementObservation): Element hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="count(hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]) &lt;= 1">(TemporaryDisablementObservation): Element hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:code[(@code = 'X-IATWRK' and @codeSystem = '2.16.840.1.113883.6.1')]/hl7:qualifier[hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]/hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]
Item: (TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:code[(@code = 'X-IATWRK' and @codeSystem = '2.16.840.1.113883.6.1')]/hl7:qualifier[hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]]/hl7:name[(@code = 'x7AU' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99')]"
         id="d41e1720-false-d9563e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="@nullFlavor or (@code='x7AU' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(TemporaryDisablementObservation): Der Elementinhalt MUSS einer von 'code 'x7AU' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:text
Item: (TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:text"
         id="d41e1727-false-d9579e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:effectiveTime
Item: (TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:effectiveTime"
         id="d41e1730-false-d9589e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="not(../hl7:performer/hl7:time/@value) or ../hl7:performer/hl7:time/@value &lt;= hl7:high/@value">(TemporaryDisablementObservation): Zeitraum der Arbeitsunfähigkeit. Das Feststellungsdatum muss vor dem Ende der Arbeitsunfähigkeit liegen!</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:effectiveTime/hl7:low
Item: (TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:effectiveTime/hl7:low"
         id="d41e1735-false-d9607e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="not(*)">(TemporaryDisablementObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:effectiveTime/hl7:high
Item: (TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:effectiveTime/hl7:high"
         id="d41e1741-false-d9620e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="not(*)">(TemporaryDisablementObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:value[not(@nullFlavor)]
Item: (TemporaryDisablementObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:value[not(@nullFlavor)]"
         id="d41e1748-false-d9633e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="(@nullFlavor or (number(@value)&gt;=0 and number(@value)&lt;=100 and (matches(string(@value), '^[-+]?\d*$'))))">(TemporaryDisablementObservation): value MUSS im Bereich [0..100] liegen  und mindestens 0 Nachkommastellen haben </assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(TemporaryDisablementObservation): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TemporaryDisablementObservation): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="string(@unit) = ('%') or not(@unit)">(TemporaryDisablementObservation): Der Wert von unit MUSS '%' sein. Gefunden: "<value-of select="@unit"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4270-2017-05-24T000000.html"
              test="not(@value) or matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')">(TemporaryDisablementObservation): Attribute @value ist keine gültige int Zahl <value-of select="@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4270
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]
Item: (TemporaryDisablementObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90014
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]
Item: (PerformerBody)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="string(@typeCode) = ('PRF')">(PerformerBody): Der Wert von typeCode MUSS 'PRF' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:time) &lt;= 1">(PerformerBody): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]) &gt;= 1">(PerformerBody): Element hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]) &lt;= 1">(PerformerBody): Element hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90014
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:time
Item: (PerformerBody)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:time">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PerformerBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90014
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]
Item: (PerformerBody)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:id) &gt;= 1">(PerformerBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:addr) &lt;= 1">(PerformerBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:assignedPerson[not(@nullFlavor)]) &gt;= 1">(PerformerBody): Element hl7:assignedPerson[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:assignedPerson[not(@nullFlavor)]) &lt;= 1">(PerformerBody): Element hl7:assignedPerson[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90014-2014-03-12T101842.html"
              test="count(hl7:representedOrganization) &lt;= 1">(PerformerBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:id
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:addr
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:telecom
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:assignedPerson[not(@nullFlavor)]
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:assignedPerson[not(@nullFlavor)]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(AssignedEntityElements): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(AssignedEntityElements): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:assignedPerson[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:assignedPerson[not(@nullFlavor)]/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90012
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:representedOrganization
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:representedOrganization">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(AssignedEntityElements): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(AssignedEntityElements): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(AssignedEntityElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90012-2011-12-19T000000.html"
              test="count(hl7:addr) &lt;= 1">(AssignedEntityElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:representedOrganization/hl7:id">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:representedOrganization/hl7:name[not(@nullFlavor)]">
      <extends rule="ON"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:representedOrganization/hl7:telecom">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]/hl7:performer[@typeCode = 'PRF'][hl7:assignedEntity]/hl7:assignedEntity[not(@nullFlavor)][hl7:assignedPerson]/hl7:representedOrganization/hl7:addr">
      <extends rule="AD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
