<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Krankmeldung (1.2.276.0.76.3.1.135.8.4.2 2018-01-03T16:15:43)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://fhir.hl7.de/ukfc" prefix="ukfc"/>
   <ns uri="urn:hl7-org:pharm" prefix="XXX"/>
   <ns uri="http://www.w3.org/1999/xhtml" prefix="xhtml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario au01 -->

   <!-- F01Arbeitsunfaehigkeitsbescheinigung -->
   <pattern>
      <title>F01Arbeitsunfaehigkeitsbescheinigung</title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1025']]"
                 see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.1025-2017-05-24T172107.html">(F01Arbeitsunfaehigkeitsbescheinigung): Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1025']]</assert>
      </rule>
   </pattern>
   <include href="include/1.2.276.0.76.10.1025-2017-05-24T172107.sch"/>
   <include href="include/1.2.276.0.76.10.1025-2017-05-24T172107-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-1.2.276.0.76.10.1025-2017-05-24T172107"/>
      <active pattern="template-1.2.276.0.76.10.3103-2016-02-25T185555"/>
      <active pattern="template-1.2.276.0.76.10.3104-2017-05-24T171828"/>
      <active pattern="template-1.2.276.0.76.10.3106-2017-09-24T105538"/>
      <active pattern="template-1.2.276.0.76.10.3108-2017-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.10.4263-2016-02-25T190030"/>
      <active pattern="template-1.2.276.0.76.10.4264-2016-02-25T190754"/>
      <active pattern="template-1.2.276.0.76.10.4265-2017-11-20T220318"/>
      <active pattern="template-1.2.276.0.76.10.4266-2017-11-20T220411"/>
      <active pattern="template-1.2.276.0.76.10.4267-2017-09-24T104950"/>
      <active pattern="template-1.2.276.0.76.10.4268-2017-09-24T111313"/>
      <active pattern="template-1.2.276.0.76.10.4269-2017-09-24T111019"/>
      <active pattern="template-1.2.276.0.76.10.4270-2017-05-24T000000"/>
      <active pattern="template-1.2.276.0.76.10.4271-2017-12-01T140113"/>
      <active pattern="template-1.2.276.0.76.10.4272-2017-11-29T181727"/>
      <active pattern="template-1.2.276.0.76.10.4273-2017-11-29T144601"/>
      <active pattern="template-1.2.276.0.76.10.4275-2018-02-27T123511"/>
      <active pattern="template-1.2.276.0.76.10.4280-2018-03-08T173215"/>
   </phase>
   <phase id="F01Arbeitsunfaehigkeitsbescheinigung">
      <active pattern="template-1.2.276.0.76.10.1025-2017-05-24T172107"/>
   </phase>
   <phase id="F01Arbeitsunfaehigkeitsbescheinigung-closed">
      <active pattern="template-1.2.276.0.76.10.1025-2017-05-24T172107-closed"/>
   </phase>
   <phase id="InsuranceSection">
      <active pattern="template-1.2.276.0.76.10.3103-2016-02-25T185555"/>
   </phase>
   <phase id="AUDiagnosisSection">
      <active pattern="template-1.2.276.0.76.10.3104-2017-05-24T171828"/>
   </phase>
   <phase id="F01AccidentSection">
      <active pattern="template-1.2.276.0.76.10.3106-2017-09-24T105538"/>
   </phase>
   <phase id="TemporaryDisablementSection">
      <active pattern="template-1.2.276.0.76.10.3108-2017-05-24T000000"/>
   </phase>
   <phase id="CoverageActivity">
      <active pattern="template-1.2.276.0.76.10.4263-2016-02-25T190030"/>
   </phase>
   <phase id="PolicyActivity">
      <active pattern="template-1.2.276.0.76.10.4264-2016-02-25T190754"/>
   </phase>
   <phase id="AUDiagnosisConcernAct">
      <active pattern="template-1.2.276.0.76.10.4265-2017-11-20T220318"/>
   </phase>
   <phase id="AUDiagnosisObservation">
      <active pattern="template-1.2.276.0.76.10.4266-2017-11-20T220411"/>
   </phase>
   <phase id="F01AccidentObservation">
      <active pattern="template-1.2.276.0.76.10.4267-2017-09-24T104950"/>
   </phase>
   <phase id="F01TreatmentEingliederungObservation">
      <active pattern="template-1.2.276.0.76.10.4268-2017-09-24T111313"/>
   </phase>
   <phase id="F01TreatmentRehaObservation">
      <active pattern="template-1.2.276.0.76.10.4269-2017-09-24T111019"/>
   </phase>
   <phase id="TemporaryDisablementObservation">
      <active pattern="template-1.2.276.0.76.10.4270-2017-05-24T000000"/>
   </phase>
   <phase id="DMPObservation">
      <active pattern="template-1.2.276.0.76.10.4271-2017-12-01T140113"/>
   </phase>
   <phase id="eGKGeschlechtObservation">
      <active pattern="template-1.2.276.0.76.10.4272-2017-11-29T181727"/>
   </phase>
   <phase id="PersonGroupObservation">
      <active pattern="template-1.2.276.0.76.10.4273-2017-11-29T144601"/>
   </phase>
   <phase id="KVZuordnungObservation">
      <active pattern="template-1.2.276.0.76.10.4275-2018-02-27T123511"/>
   </phase>
   <phase id="weitereKennzeichenObservation">
      <active pattern="template-1.2.276.0.76.10.4280-2018-03-08T173215"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- InsuranceSection -->
   <include href="include/1.2.276.0.76.10.3103-2016-02-25T185555.sch"/>
   <!-- AUDiagnosisSection -->
   <include href="include/1.2.276.0.76.10.3104-2017-05-24T171828.sch"/>
   <!-- F01AccidentSection -->
   <include href="include/1.2.276.0.76.10.3106-2017-09-24T105538.sch"/>
   <!-- TemporaryDisablementSection -->
   <include href="include/1.2.276.0.76.10.3108-2017-05-24T000000.sch"/>
   <!-- CoverageActivity -->
   <include href="include/1.2.276.0.76.10.4263-2016-02-25T190030.sch"/>
   <!-- PolicyActivity -->
   <include href="include/1.2.276.0.76.10.4264-2016-02-25T190754.sch"/>
   <!-- AUDiagnosisConcernAct -->
   <include href="include/1.2.276.0.76.10.4265-2017-11-20T220318.sch"/>
   <!-- AUDiagnosisObservation -->
   <include href="include/1.2.276.0.76.10.4266-2017-11-20T220411.sch"/>
   <!-- F01AccidentObservation -->
   <include href="include/1.2.276.0.76.10.4267-2017-09-24T104950.sch"/>
   <!-- F01TreatmentEingliederungObservation -->
   <include href="include/1.2.276.0.76.10.4268-2017-09-24T111313.sch"/>
   <!-- F01TreatmentRehaObservation -->
   <include href="include/1.2.276.0.76.10.4269-2017-09-24T111019.sch"/>
   <!-- TemporaryDisablementObservation -->
   <include href="include/1.2.276.0.76.10.4270-2017-05-24T000000.sch"/>
   <!-- DMPObservation -->
   <include href="include/1.2.276.0.76.10.4271-2017-12-01T140113.sch"/>
   <!-- eGKGeschlechtObservation -->
   <include href="include/1.2.276.0.76.10.4272-2017-11-29T181727.sch"/>
   <!-- PersonGroupObservation -->
   <include href="include/1.2.276.0.76.10.4273-2017-11-29T144601.sch"/>
   <!-- KVZuordnungObservation -->
   <include href="include/1.2.276.0.76.10.4275-2018-02-27T123511.sch"/>
   <!-- weitereKennzeichenObservation -->
   <include href="include/1.2.276.0.76.10.4280-2018-03-08T173215.sch"/>

</schema>
